#ifndef GAMEMENUS_H
#define GAMEMENUS_H

#include "menu.h"
#include "world.h"
#include <string>

class Gamemenus
{
public:
   Gamemenus(Properties* p);
   Gamemenus();

   void turn(World* world);

   SDL_Surface* get_screen();
   std::string men_ship_encounter(Player* player, Player* opponent);
   std::string men_game_options(World* world);
   std::string men_harbour(Player* player, World* world);
   std::string men_market(Player* player);
   std::string men_market_prices(Player* player);
   std::string men_select_goods(Player* player, goodslist goods);
   int men_sell_menu(Player* player, std::string goodname);
   int men_buy_menu(Player* player, std::string goodname);
   int men_buy_food(Player* player);
   std::string men_stat_select(Player* player);
   void men_stat_cargo(Player* player);
   void men_stat_player(Player* player);
   void men_stat_ship(Player* player);
   std::string men_tavern(Player* player);
   int men_hire_crew(Player* player);
   std::string men_dock(Player* player);
   menuselect men_new_player(harbourlist* harbours);
   menuselect men_start();
   Harbour* men_set_sail(Harbour* current, World* world);
   void msg_box(Player* player, std::string msg, std::string backgroundimage);
   void msg_box(Player* player, std::string msg_part1, std::string msg_part2, std::string backgroundimage);
   bool bool_box(Player* player, std::string msg, std::string backgroundimage);
   int men_dock_upgrade_plating(Player* player);
   int men_dock_upgrade_cannons(Player* player);
   std::string men_dock_buy_ship(Player* player);
   std::string men_dock_upgrade_equipment(Player* player);
   int men_dock_repair(Player* player);
   std::string men_ship_rename(Player* player);
   std::string men_stat_nations(Player* player, World* world);
   std::string men_settings_ship(Player* player);
   int men_settings_crewpay(Player* player);
   void men_fight_prepare(Player* player, Player* opponent);
   std::string men_onsea(Player* player, World* world);
   std::string men_fight_won(Player* player, Player* opponent);
   int men_fight_loot(Player* player, std::string goodname);
   std::string men_mutiny_select(Player* player);
   std::string men_gov_select(Player* player);
   void men_player_dead(Player* player);
   void men_fight_board(Player* player, Player* opponent, bool success);
   void display_statusbar(Player* player, Menu* menu);
   void display_statusbar(Player* player, Menu* menu, std::string title);
   void display_statusbar(Player* player, Menu* menu, std::string title, std::string title2);
   void display_statusbar(Menu* menu, std::string title);
   void display_statusbar(Menu* menu, std::string title, std::string title2);

   void set_background(std::string new_background);
   std::string get_background();

   std::string men_opt_savegame(World* world);
   std::string men_opt_loadgame(World* world);
   std::string men_opt_savegame_name();

protected:
   Tools t;
   Properties* properties;
   std::string background;
};

#endif







