#ifndef HARBOUR_H
#define HARBOUR_H

#include <string>
#include "good.h"
#include "tools.h"
#include "market.h"
#include "ship.h"

class Player;

struct navpos_t
{
   float longi;
   float lati;
};

struct x11pos_t
{
   int x;
   int y;
};

class Harbour
{
public:
   Harbour(std::string harbour);
   Harbour(Savegame* sg);
   Harbour();
   void turn(World* world);
   std::string get_name();
   Market* get_market();
   int hire_men(int amount);
   int get_crew_pay();
   int get_crew_available();
   int get_ship_price(std::string type);
   navpos_t get_position();
   x11pos_t get_x11_position();
   std::string get_background();
   std::string get_nation();
   bool has_dock();
   bool has_governor();
   bool get_letter_of_marque(Player* player);
   void save_to_file(Savegame* sg);

protected:
//   std::string harbour_data_path(std::string harbour);
   Market market;
   std::string name;
   int crew_available;
   int crew_increase;
   int crew_pay;
   navpos_t navpos;
   std::string background;
   std::string nation;
   bool dock_avail;
   bool governor_avail;
   x11pos_t x11pos;

   int price_merchant;
   int price_galleon;
   int price_brigg;
   int price_schooner;
   int price_frigate;
   

};

#endif










