#ifndef MARKET_H
#define MARKET_H

#include "good.h"
#include "world.h"
#include "harbour.h"
#include "savegame.h"
#include <list>
#include <vector>
#include <string>

class World;
class Ship;
class Savegame;

class Market
{
public:
   Market::Market(std::string harbourname);
   Market::Market(Savegame* sg);
   Market();

   std::vector<Good> get_goods();
   int get_stock(std::string tomatch);
   int sell(int amount, std::string goodid, Ship* ship);
   int buy(int amount, std::string goodid, Ship* ship);
   int buy_food(int amount, Ship* ship);
   int get_price(std::string goodid);
   void turn(World* world);
   void save_to_file(Savegame* sg);

private:
   std::vector<Good> goods;
};



#endif








