#ifndef NATION_H
#define NATION_H

#include <vector>
#include <string>
#include <list>
#include <string>
#include "player.h"
#include "world.h"

enum diplomatic_state_t
{
   NS_WAR,
   NS_PEACE,
   NS_TENSE,
   NS_ALLIANCE,
   NS_YOURSELF
};

enum playerrank_t
{
   PS_PIRATE,
   PS_FREEBOOTER,
   PS_ENEMY,
   PS_NEUTRAL,
   PS_ALLIED,
   PS_COUNT,
   PS_DUKE
};

class Player;
class World;

class Playerrank
{
public:
   playerrank_t get_rank();
   void set_rank(playerrank_t newrank);
   Player* Playerrank::get_player();
   Playerrank(playerrank_t defaultrank, Player* dplayer);
   Playerrank(Savegame* sg, World* world);
   void save_to_file(Savegame* sg);

protected:
   Player* player;
   playerrank_t rank;
   int scoring;
   std::string playernationality;
};



class Nation
{
public:
   Nation(std::string dnational, std::vector<Player>* players);
   Nation(Savegame* sg, int amount_players, World* world);
   playerrank_t get_rank(Player* player);
   void set_rank(Player* player, playerrank_t newrank);
   void turn();
   std::string get_rank_descr(Player* player);
   std::string get_name();
   std::string get_nationality();
   void pirate_attack(Player* player);
   void freebooter_attack(Player* player);
   void war_attack(Player* player);
   void save_to_file(Savegame* sg);

protected:
   diplomatic_state_t dutch;
   diplomatic_state_t french;
   diplomatic_state_t english;
   diplomatic_state_t spanish;
   std::vector<Playerrank> playerranks;
   std::string nationality;
};


#endif












