#ifndef SAVEGAME_H
#define SAVEGAME_H
#include <fstream>
#include <iostream>
#include <string>
#include "harbour.h"
#include "player.h"


class Harbour;
struct navpos_t;
struct x11pos_t;

struct savegame_description
{
   std::string filename;
   std::string name;
};

class Savegame
{
public:
   Savegame::Savegame();
   Savegame::Savegame(std::string filename, bool read);
   Savegame::~Savegame();

   void write_header(int turn, std::string savegamename);
   bool read_header();

   void write_game(std::vector<Player> *players, std::vector<Harbour> *harbours,
                   std::vector<Nation> *nations, World* world);

   void writeout(int d);
   void writeout(std::string d);
   void writeout(bool d);
   void writeout(float d);
   void writeout(Harbour* d);
   void writeout(navpos_t d);
   void writeout(x11pos_t d);

   int read_int();
   bool read_bool();
   std::string read_str();
   float read_float();
   navpos_t read_navpos();
   x11pos_t read_x11pos();
   bool read_check(std::string checkpoint);

   std::vector<Harbour> get_harbours();
   std::vector<Player> get_players(World* world);
   std::vector<Nation> get_nations(World* world);
   int get_turn();

   std::string get_name();

private:
   std::ifstream readfile;
   std::ofstream writefile;
   std::string savegamename;
   int amount_of_harbours;
   int amount_of_players;
   int amount_of_nations;
   int turn;
};

#endif











