#include <string>
#include <vector>
#include <sstream>
#include <SDL_mixer.h>
#include <SDL_ttf.h>
#include <SDL_image.h>
#include "shots.h"

#define PI 3.14159265

enum ai_mode{
  AI_ATTACK,
  AI_ENTER,
  AI_ESCAPE,
  AI_CONFUSED
};

class Seabattle{
public:
   int windrichtung,windstaerke,windstetigkeit,wechselstimmung;

   SDL_Surface* screen;
   std::vector<SDL_Surface*> water_screens;
   std::vector<SDL_Surface*> windrose;
   TTF_Font* score_font;
   Mix_Chunk *shot;
   Mix_Chunk *tarzan;
   Shots cannonballs;
  
   Uint32 last_tick;
   Uint32 round_time;
   Uint32 lastshot_time;
   
   bool end_game,entered;

   SDL_Rect stegr_rect;
   SDL_Rect stegl_rect;
   std::vector<std::vector<std::string> > rboat;
  
   Combatant p1,p2;
   
   Seabattle(SDL_Surface*,Player*,Player*);
   ~Seabattle();
   int run();
   void wait_ticks();
   int game_play();
   void clean_up();
   void handle_events();
   void redraw_ships();
   void draw_windspeed();
   void draw_stege();
   void draw_playernames();
   void ai();
   void enter();

protected:
   int waterframe,waterframestep;
   SDL_Rect line_pos;   
   // AI stuff goes here
   ai_mode mode;
   int cross_angle,aim_angle,escape_angle,ccw_deg,cw_deg,a_ccw_deg,a_cw_deg,e_ccw_deg,e_cw_deg,distance;
};







