#ifndef TOOLS_H
#define TOOLS_H

#include <string>
#include <vector>
#include <SDL.h>
#include <SDL_ttf.h>
#include <SDL_mixer.h>


class Tools
{
public:
   Tools();
   SDL_Surface* load_img(std::string filename);
   SDL_Surface* load_img_alpha(std::string filename);
   TTF_Font* load_ttf(int size, std::string fontname);
   Mix_Chunk* load_wav(std::string wavname);
   Mix_Music* load_mus(std::string musname);
   std::string harbour_data_path(std::string harbour);
   std::string graphics_path(std::string picture);
   std::string data_path(std::string data);
   std::string sprites_path(std::string picture);
   std::string fonts_path(std::string fontname);
   std::string sound_path(std::string fontname);
   std::string savegame_path(std::string savegame);
   bool rnd_percent(int probability);
   std::string rnd_list(std::vector<std::string> options);
   std::string random_col();
   void play_sound (Mix_Chunk* snd);

private:
   std::string path_to_data_dir;
   bool enable_sound;
};

#endif










